Cairo::GObject(3)

NAME
Cairo::GObject - Integrate Cairo into the Glib type system

SYNOPSIS
  use Cairo::GObject;

  # Cairo and Glib are now loaded and the Cairo types are registed with
  # Glib's type machinery.  This allows you to correctly use Cairo types
  # in signals and properties.

ABSTRACT
Cairo::GObject registers Cairo's types ("Cairo::Context", "Cairo::Surface", etc.) with Glib's type systems so that they can be used normally in signals and properties. If you have encountered an error akin to this:

  GType CairoContext (15497280) is not registered with gperl

-- then you need to use Cairo::GObject.

AUTHORS

Torsten Schoenfeld <kaffeetisch at gmx dot de>

COPYRIGHT
Copyright (C) 2011 by the cairo perl team